Subject: git-fetch segfault in git 1.5.5.1

From: Dave Jones <[email-masked]>
Date: Mon, 28 Apr 2008 14:41:38 -0400

Since master.kernel.org updated to latest, I noticed that I could crash
git-fetch by doing this..

export KERNEL=/pub/scm/linux/kernel/git/
git fetch $KERNEL/torvalds/linux-2.6 master:linus

(gdb) bt
#0  0x000000349fd6d44b in free () from /lib64/libc.so.6
#1  0x000000000048f4eb in transport_unlock_pack (transport=0x7ce530) at transport.c:811
#2  0x000000349fd31b25 in exit () from /lib64/libc.so.6
#3  0x00000000004043d8 in handle_internal_command (argc=3, argv=0x7fffea4449f0) at git.c:379
#4  0x0000000000404547 in main (argc=3, argv=0x7fffea4449f0) at git.c:443
#5  0x000000349fd1c784 in __libc_start_main () from /lib64/libc.so.6
#6  0x0000000000403ef9 in ?? ()
#7  0x00007fffea4449d8 in ?? ()
#8  0x0000000000000000 in ?? ()

I then remembered, my .bashrc has this..

export MALLOC_PERTURB_=$(($RANDOM % 255 + 1))

which is handy for showing up such bugs.

More info on this glibc feature is at http://udrepper.livejournal.com/11429.html

	Dave

-- 
http://www.codemonkey.org.uk